Bug 46858 - Add LSApplicationCategoryType: public.app-category.productivity to LibreOffice.app/Contents/Info.plist (for MacOS X >= 10.7)
Summary: Add LSApplicationCategoryType: public.app-category.productivity to LibreOffic...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
Master old -3.6
Hardware: Other Mac OS X (All)
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard: target:3.7.0
Keywords:
Depends on:
Blocks:
 
Reported: 2012-03-01 18:25 UTC by Dave
Modified: 2012-08-24 08:26 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dave 2012-03-01 18:25:48 UTC
Please add this to the installation info plist so LibreOffice will show up in Finder as Productivity category.





<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE plist PUBLIC "-//Apple//DTD PLIST 1.0//EN" "http://www.apple.com/DTDs/PropertyList-1.0.dtd">
<plist version="1.0">
<string>public.app-category.productivity</string>
</plist>
Comment 1 Dave 2012-03-01 18:28:45 UTC
Patch:

<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE plist PUBLIC "-//Apple//DTD PLIST 1.0//EN" "http://www.apple.com/DTDs/PropertyList-1.0.dtd">
<plist version="1.0">
<string>public.app-category.productivity</string>
</plist>
Comment 2 Joel Madero 2012-06-29 15:37:47 UTC
Does the patch resolve the issue? I don't use Finder so I can't test it but please let us know and we'll close the bug.
Comment 3 Roman Eisele 2012-08-23 16:17:17 UTC
Well, IMHO this should read (the key was missing!):

<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE plist PUBLIC "-//Apple//DTD PLIST 1.0//EN"
"http://www.apple.com/DTDs/PropertyList-1.0.dtd">
<plist version="1.0">
<key>LSApplicationCategoryType</key>
<string>public.app-category.productivity</string>
</plist>

And actually, only two lines are new:

<key>LSApplicationCategoryType</key>
<string>public.app-category.productivity</string>

... the rest is already present, of course, in any plist file.


IMHO this is a valid and reasonable enhancement request, therefore I set the Status of this report to NEW.
Comment 4 Roman Eisele 2012-08-23 16:20:56 UTC
@Thorsten Behrens:

This mini-enhancement request already includes the necessary addition for LibreOffice.app/Contents/Info.plist; so IMHO you could just push this to master ...

Thank you!

(cf. e.g.
  http://forums.macrumors.com/showthread.php?t=1100100
Comment 5 Thorsten Behrens (CIB) 2012-08-23 17:38:14 UTC
(In reply to comment #4)
> This mini-enhancement request already includes the necessary addition for
> LibreOffice.app/Contents/Info.plist; so IMHO you could just push this to master
>
Will do in a sec - meanwhile, could you & Dave, collaborating on this, please send a quick license statement to the dev list, ala

 http://lists.freedesktop.org/archives/libreoffice/2012-March/028334.html

? Thanks!
Comment 6 Not Assigned 2012-08-23 17:47:04 UTC
Dave committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4908c8d79745057ebece07c7834e318a7366d6d0

Fix for fdo#46858 Have us show up in Productivity category in Finder
Comment 7 Roman Eisele 2012-08-24 08:26:15 UTC
(In reply to comment #5)
> Will do in a sec -

Thank you!

> meanwhile, could you & Dave, collaborating on this, please
> send a quick license statement to the dev list

For my part, I have already done so before, therefore my name should already be in the record (probably together with my private e-mail address:
post@roman-eisele.de).